/*+
|                                               |
|     Trigger: DTULTATU_FILDIMEGRUPOP           |  
|     Tabela : FILDIMEGRUPOP                    |
|                                               |
|     Criao:                                  |
|     06/09/2007 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FILDIMEGRUPOP'   and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_FILDIMEGRUPOP
GO

CREATE TRIGGER DTULTATU_FILDIMEGRUPOP
ON FILDIMEGRUPOP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'FILDIMEGRUPOP', 'NRSEQUEDIME='      + NRSEQUEDIME +
                                  ';CDGRUPOPER='      + CDGRUPOPER +
                                  ';CDFILDIMEGRUPOP=' + CDFILDIMEGRUPOP + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FILDIMEGRUPOP
      SET  DTULTATUFDIDWGR = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FILDIMEGRUPOP.NRSEQUEDIME, 0) = ISNULL(INSERTED.NRSEQUEDIME, 0)) AND
            (ISNULL(FILDIMEGRUPOP.CDGRUPOPER, 0) = ISNULL(INSERTED.CDGRUPOPER, 0)) AND
            (ISNULL(FILDIMEGRUPOP.CDFILDIMEGRUPOP, 0) = ISNULL(INSERTED.CDFILDIMEGRUPOP, 0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_FILDIMEGRUPOP','4.11.176';
GO

